USE [COWS]
GO

/****** Object:  Table [dbo].[LK_VNDR_SCM]    Script Date: 11/08/2016 10:31:08 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[LK_VNDR_SCM](
	[LK_VNDR_SCM_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[VNDR_CD] [varchar](10) NOT NULL,
	[VNDR_NME] [varchar](30) NOT NULL,
	[VNDR_FULL_NME] [varchar](50) NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
 CONSTRAINT [PK_LK_VNDR_SCM] PRIMARY KEY CLUSTERED 
(
	[LK_VNDR_SCM_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_VNDR_SCM] UNIQUE NONCLUSTERED 
(
	[VNDR_NME] ASC,
	[VNDR_CD] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[LK_VNDR_SCM]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_VNDR_SCM] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_VNDR_SCM] CHECK CONSTRAINT [FK01_LK_VNDR_SCM]
GO

ALTER TABLE [dbo].[LK_VNDR_SCM]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_VNDR_SCM] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_VNDR_SCM] CHECK CONSTRAINT [FK02_LK_VNDR_SCM]
GO

ALTER TABLE [dbo].[LK_VNDR_SCM]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_VNDR_SCM] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_VNDR_SCM] CHECK CONSTRAINT [FK03_LK_VNDR_SCM]
GO

ALTER TABLE [dbo].[LK_VNDR_SCM] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[LK_VNDR_SCM] ADD  DEFAULT ((1)) FOR [REC_STUS_ID]
GO


